Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortalSignOnHome

public interface PortalSignOnHome
extends BaseHome

EJB Home interface for the PortalSignOn.

Method Summary
`PortalSignOn` | `create(PortalSignOnPK pk)` Create.
`java.util.Enumeration` | `findByPortal(java.lang.String aPortalName)` Find by portal.
`PortalSignOn` | `findByPrimaryKey(PortalSignOnPK pk)` Find by primary key.
`java.util.Enumeration` | `findByUser(java.lang.String aUser)` Find by user.
`java.util.Enumeration` | `findByUserPortal(java.lang.String aUser, java.lang.String aPortal)` Find by user portal.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public PortalSignOn create(PortalSignOnPK pk)
                        throws javax.ejb.CreateException,
                               java.rmi.RemoteException

  Create.
  Parameters:
    `pk` - the primary key.
  Returns:
    `PortalSignOn` the created object.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### findByPrimaryKey

    public PortalSignOn findByPrimaryKey(PortalSignOnPK pk)
                                  throws javax.ejb.FinderException,
                                         java.rmi.RemoteException

  Find by primary key.
  Parameters:
    `pk` - the primary key.
  Returns:
    `PortalSignOn` the object matching the key.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByUser

    public java.util.Enumeration findByUser(java.lang.String aUser)
                                     throws javax.ejb.FinderException,
                                            java.rmi.RemoteException

  Find by user.
  Parameters:
    `aUser` - the user.
  Returns:
    `Enumeration` all signons that match the user.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByUserPortal

    public java.util.Enumeration findByUserPortal(java.lang.String aUser,
                                                  java.lang.String aPortal)
                                           throws javax.ejb.FinderException,
                                                  java.rmi.RemoteException

  Find by user portal.
  Parameters:
    `aUser` - the user.
    `aPortal` - the portal.
  Returns:
    `Enumeration` objects that match the user and portal.

### findByPortal

    public java.util.Enumeration findByPortal(java.lang.String aPortalName)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Find by portal.
  Parameters:
    `aPortalName` - the portal.
  Returns:
    `Enumeration` objects that match the portal.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved